#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library
import pkg_resources

# import interfaces
from pyams_default_theme.layer import IPyAMSDefaultLayer
from pyams_skin.interfaces.configuration import IStaticConfiguration
from pyams_utils.interfaces.site import IStaticConfigurationManager

# import packages
from pyams_content.root import SiteRootStaticConfiguration as SiteRootStaticConfigurationBase
from pyams_utils.adapter import adapter_config
from zope.interface import Interface

from pyams_default_theme import _


@adapter_config(context=(IStaticConfigurationManager, IPyAMSDefaultLayer, Interface), provides=IStaticConfiguration)
class StaticConfiguration(SiteRootStaticConfigurationBase):
    """PyAMS default skin static configuration"""

    application_package = 'pyams_default_theme'
    application_name = 'PyAMS'

    version_location = 'menus'

    include_header = False
    include_top_links = False
    include_site_search = True
    site_search_placeholder = _("Search...")
    site_search_handler = '#search.html'
    include_mobile_search = True
    mobile_search_placeholder = _("Search...")
    mobile_search_handler = '#search.html'
    include_user_activity = True
    include_user_shortcuts = True
    include_logout_button = True
    include_minify_button = True
    include_flags = False
    include_menus = False
    include_ribbon = False
    include_reload_button = False
    body_css_class = 'minified hidden-menu'

    @property
    def version(self):
        return pkg_resources.get_distribution(self.application_package).version
